@mixin icon ($url, $width, $height) {
  display: inline-block;
  background-image: url($url);
  background-repeat: no-repeat;  
  width:  $width;
  height: $height;                        
  margin-left: 5px;
  margin-bottom: -2px;

  /* Hide the text. */
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}

/// Mixin to manage responsive breakpoints
/// @author Hugo Giraudel
/// @link https://css-tricks.com/snippets/sass/mixin-manage-breakpoints/
/// @param {String} $breakpoint - Breakpoint name
/// @require $breakpoints
@mixin respond-to($breakpoint) {
  // If the key exists in the map
  @if map-has-key($breakpoints, $breakpoint) {
    // Prints a media query based on the value
    @media (min-width: map-get($breakpoints, $breakpoint)) {
      @content;
    }
  }
 
  // If the key doesn't exist in the map
  @else {
    @warn "Unfortunately, no value could be retrieved from `#{$breakpoint}`. "
        + "Available breakpoints are: #{map-keys($breakpoints)}.";
  }
}

/// @link https://gist.github.com/garyharan/957284
@mixin box-shadow($x, $y, $blur, $color, $inset: false) {
  @if $inset {
    -webkit-box-shadow:inset $x $y $blur $color;
    -moz-box-shadow:inset $x $y $blur $color;
    box-shadow:inset $x $y $blur $color;
  } @else {
    -webkit-box-shadow: $x $y $blur $color;
    -moz-box-shadow: $x $y $blur $color;
    box-shadow: $x $y $blur $color;
  }
}